> For the complete documentation index, see [llms.txt](https://docs.pangolin.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pangolin.exchange/pangoperps/trading-api/order-management/get-trades-for-an-algo-order.md).

# Get Trades for an Algo Order

List executions associated with one algorithmic order.

### Endpoint

**GET /v1/algo/order/{order\_id}/trades**

Mainnet: `GET https://api.orderly.org/v1/algo/order/{order_id}/trades`

Testnet: `GET https://testnet-api.orderly.org/v1/algo/order/{order_id}/trades`

Rate limit: 10 requests per second. Returns executions associated with one algorithmic order. This signed GET request has no body.

### Authentication headers

* orderly-timestamp — signed-request timestamp in milliseconds.
* orderly-account-id — PangoPerps account ID.
* orderly-key — public API key.
* orderly-signature — request signature.

### Path parameter

| Parameter | Type   | Required | Description                  |
| --------- | ------ | -------- | ---------------------------- |
| order\_id | number | Yes      | ID of the algorithmic order. |

### Example request

```bash
curl --request GET \
  --url 'https://api.orderly.org/v1/algo/order/123456789/trades' \
  --header 'orderly-account-id: <account-id>' \
  --header 'orderly-key: <public-api-key>' \
  --header 'orderly-signature: <signature>' \
  --header 'orderly-timestamp: <timestamp-in-ms>'
```

### Successful response

HTTP 200 returns an array of executions for this algo order. Rows include trade/market and order IDs, execution details, fee fields, maker flag, realized PnL, match ID, and any custom order-tag fee values provided for this endpoint.

```json
{
  "success": true,
  "data": {
    "rows": [
      {
        "id": 123456789,
        "symbol": "PERP_ETH_USDC",
        "fee": 0.25,
        "fee_asset": "USDC",
        "side": "SELL",
        "order_id": 123456789,
        "executed_price": 3600,
        "executed_quantity": 0.25,
        "executed_timestamp": 1702989200000,
        "is_maker": 0,
        "match_id": 1234567890123456,
        "order_enum_fee": 0,
        "order_enum_fee_rate": 0
      }
    ]
  },
  "timestamp": 1702989203989
}
```
